STRUCT USB_OS_DESC_T(9)

NAME
struct_usb_os_desc_table - describes OS descriptors associated with one interface of a usb_function

SYNOPSIS

struct usb_os_desc_table {
  int if_id;
  struct usb_os_desc * os_desc;
};

MEMBERS

if_id
    Interface id

os_desc
    "Extended Compatibility ID“ and ”Extended Properties" of the interface

DESCRIPTION

Each interface can have at most one “Extended Compatibility ID” and a number of “Extended Properties”.

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT